Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members

# TAO_AV_Transport Class Reference

A Base class for the different transport protocols. All the different transports should derive and implement the open,close,send and recv methods. More...

`#include <Transport.h>`

Inheritance diagram for TAO_AV_Transport:

[legend]
List of all members.

## Public Methods
| TAO_AV_Transport (void)
virtual | ~TAO_AV_Transport (void)
virtual int | open (ACE_Addr *address)=0
virtual int | close (void)=0
virtual int | mtu (void)=0
| Write the complete Message_Block chain to the connection.
virtual ACE_Addr * | get_peer_addr (void)=0
virtual ACE_Addr * | get_local_addr (void)
virtual ssize_t | send (const ACE_Message_Block *mblk, ACE_Time_Value *s=0)=0
virtual ssize_t | send (const char *buf, size_t len, ACE_Time_Value *s=0)=0
| Write the contents of the buffer of length len to the connection.
virtual ssize_t | send (const iovec *iov, int iovcnt, ACE_Time_Value *s=0)=0
| Write the contents of iovcnt iovec's to the connection.
virtual ssize_t | recv (char *buf, size_t len, ACE_Time_Value *s=0)=0
| Read len bytes from into buf.
virtual ssize_t | recv (char *buf, size_t len, int flags, ACE_Time_Value *s=0)=0
| Read len bytes from into buf using flags.
virtual ssize_t | recv (iovec *iov, int iovcnt, ACE_Time_Value *s=0)=0
| Read received data into the iovec buffers.

## Detailed Description

A Base class for the different transport protocols. All the different transports should derive and implement the open,close,send and recv methods.

## Constructor & Destructor Documentation

TAO_AV_Transport::TAO_AV_Transport | ( | void |  | ) |

TAO_AV_Transport::~TAO_AV_Transport | ( | void |  | ) | `[virtual]`

## Member Function Documentation

virtual int TAO_AV_Transport::close | ( | void |  | ) | `[pure virtual]`

| Implemented in TAO_AV_UDP_MCast_Transport, TAO_AV_SCTP_SEQ_Transport, TAO_AV_TCP_Transport, and TAO_AV_UDP_Transport.

ACE_Addr * TAO_AV_Transport::get_local_addr | ( | void |  | ) | `[virtual]`

| Reimplemented in TAO_AV_UDP_MCast_Transport.

virtual ACE_Addr* TAO_AV_Transport::get_peer_addr | ( | void |  | ) | `[pure virtual]`

| Implemented in TAO_AV_UDP_MCast_Transport, TAO_AV_SCTP_SEQ_Transport, TAO_AV_TCP_Transport, and TAO_AV_UDP_Transport.

virtual int TAO_AV_Transport::mtu | ( | void |  | ) | `[pure virtual]`

| Write the complete Message_Block chain to the connection. Implemented in TAO_AV_UDP_MCast_Transport, TAO_AV_SCTP_SEQ_Transport, TAO_AV_TCP_Transport, and TAO_AV_UDP_Transport.

virtual int TAO_AV_Transport::open | ( | ACE_Addr * | address | ) | `[pure virtual]`

| Implemented in TAO_AV_UDP_MCast_Transport, TAO_AV_SCTP_SEQ_Transport, TAO_AV_TCP_Transport, and TAO_AV_UDP_Transport.

virtual ssize_t TAO_AV_Transport::recv | ( | iovec * | iov,
|  | int | iovcnt,
|  | ACE_Time_Value * | s = 0
| ) | `[pure virtual]`

| Read received data into the iovec buffers. Implemented in TAO_AV_UDP_MCast_Transport, TAO_AV_SCTP_SEQ_Transport, TAO_AV_TCP_Transport, and TAO_AV_UDP_Transport.

virtual ssize_t TAO_AV_Transport::recv | ( | char * | buf,
|  | size_t | len,
|  | int | flags,
|  | ACE_Time_Value * | s = 0
| ) | `[pure virtual]`

| Read len bytes from into buf using flags. Implemented in TAO_AV_UDP_MCast_Transport, TAO_AV_SCTP_SEQ_Transport, TAO_AV_TCP_Transport, and TAO_AV_UDP_Transport.

virtual ssize_t TAO_AV_Transport::recv | ( | char * | buf,
|  | size_t | len,
|  | ACE_Time_Value * | s = 0
| ) | `[pure virtual]`

| Read len bytes from into buf. Implemented in TAO_AV_UDP_MCast_Transport, TAO_AV_SCTP_SEQ_Transport, TAO_AV_TCP_Transport, and TAO_AV_UDP_Transport.

virtual ssize_t TAO_AV_Transport::send | ( | const iovec * | iov,
|  | int | iovcnt,
|  | ACE_Time_Value * | s = 0
| ) | `[pure virtual]`

| Write the contents of iovcnt iovec's to the connection. Implemented in TAO_AV_UDP_MCast_Transport, TAO_AV_SCTP_SEQ_Transport, TAO_AV_TCP_Transport, and TAO_AV_UDP_Transport.

virtual ssize_t TAO_AV_Transport::send | ( | const char * | buf,
|  | size_t | len,
|  | ACE_Time_Value * | s = 0
| ) | `[pure virtual]`

| Write the contents of the buffer of length len to the connection. Implemented in TAO_AV_UDP_MCast_Transport, TAO_AV_SCTP_SEQ_Transport, TAO_AV_TCP_Transport, and TAO_AV_UDP_Transport.

virtual ssize_t TAO_AV_Transport::send | ( | const ACE_Message_Block * | mblk,
|  | ACE_Time_Value * | s = 0
| ) | `[pure virtual]`

| Implemented in TAO_AV_UDP_MCast_Transport, TAO_AV_SCTP_SEQ_Transport, TAO_AV_TCP_Transport, and TAO_AV_UDP_Transport.

The documentation for this class was generated from the following files:

- Transport.h
- Transport.cpp